Bug 21456 - The 'New authority' button lists authority types inconsistently
Summary: The 'New authority' button lists authority types inconsistently
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P3 minor (vote)
Target Milestone: ---
Assignee: Andreas Roussos
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-30 09:59 UTC by Andreas Roussos
Modified: 2018-11-28 15:36 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Authority types sorted by description (48.08 KB, image/png)
2018-09-30 10:01 UTC, Andreas Roussos
Details
Authority types sorted by code (56.03 KB, image/png)
2018-09-30 10:02 UTC, Andreas Roussos
Details
Bug 21456: The 'New authority' button lists authority types inconsistently (1.41 KB, patch)
2018-09-30 10:10 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 21456: The 'New authority' button lists authority types inconsistently (1.45 KB, patch)
2018-09-30 21:56 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 21456: The 'New authority' button lists authority types inconsistently (1.52 KB, patch)
2018-10-08 14:27 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21456: (QA follow-up) Catch missed case in authorities merge (1.17 KB, patch)
2018-10-08 14:27 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Roussos 2018-09-30 09:59:41 UTC
As per the attached staff client screenshots, in Home > Authorities
(authorities-home.pl), the button 'New authority' lists the available
authority types in alphabetical order based on their _description_.

The same button in an authority's detail view (detail.pl) lists auth
types in alphabetical order based on their _code_.
Comment 1 Andreas Roussos 2018-09-30 10:01:58 UTC
Created attachment 79653 [details]
Authority types sorted by description
Comment 2 Andreas Roussos 2018-09-30 10:02:19 UTC
Created attachment 79654 [details]
Authority types sorted by code
Comment 3 Andreas Roussos 2018-09-30 10:10:23 UTC
Created attachment 79655 [details] [review]
Bug 21456: The 'New authority' button lists authority types inconsistently

The 'New authority' button does not always list the available
authority types in A-Z order based on their description.

This patch fixes that.

Test plan:
1) Go to Home > Authorities in the staff client; notice how the
   'New authority' button lists auth types sorted by description.
2) Go to an authority's detail page; notice how the same 'New
   authority' button will list auth types sorted by their code.
3) Apply the patch.
4) In an authority's detail page, the 'New authority' button will
   now list the available authority types sorted by description.
Comment 4 Michal Denar 2018-09-30 21:56:59 UTC
Created attachment 79661 [details] [review]
Bug 21456: The 'New authority' button lists authority types inconsistently

The 'New authority' button does not always list the available
authority types in A-Z order based on their description.

This patch fixes that.

Test plan:
1) Go to Home > Authorities in the staff client; notice how the
   'New authority' button lists auth types sorted by description.
2) Go to an authority's detail page; notice how the same 'New
   authority' button will list auth types sorted by their code.
3) Apply the patch.
4) In an authority's detail page, the 'New authority' button will
   now list the available authority types sorted by description.

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 5 Martin Renvoize 2018-10-08 14:27:39 UTC
Created attachment 80223 [details] [review]
Bug 21456: The 'New authority' button lists authority types inconsistently

The 'New authority' button does not always list the available
authority types in A-Z order based on their description.

This patch fixes that.

Test plan:
1) Go to Home > Authorities in the staff client; notice how the
   'New authority' button lists auth types sorted by description.
2) Go to an authority's detail page; notice how the same 'New
   authority' button will list auth types sorted by their code.
3) Apply the patch.
4) In an authority's detail page, the 'New authority' button will
   now list the available authority types sorted by description.

Signed-off-by: Michal Denar <black23@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2018-10-08 14:27:43 UTC
Created attachment 80224 [details] [review]
Bug 21456: (QA follow-up) Catch missed case in authorities merge

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2018-10-08 14:28:12 UTC
Added followup to be consistent across the board.

Passing QA.
Comment 8 Nick Clemens 2018-10-17 19:24:53 UTC
Awesome work all!

Pushed to master for 18.11
Comment 9 Martin Renvoize 2018-10-26 12:45:23 UTC
Pushed to 18.05.x for 18.05.06
Comment 10 Fridolin SOMERS 2018-11-09 15:05:25 UTC
Small enhancement, nearly a bug
so pushed to 17.11.x for 17.11.12